> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Outreach Sequence



## OpenAPI

````yaml put /comms/outreach-sequences/{sequence_id}
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/outreach-sequences/{sequence_id}:
    put:
      tags:
        - Outreach Sequences
      summary: Update Outreach Sequence
      operationId: update_outreach_sequence_comms_outreach_sequences__sequence_id__put
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: sequence_id
          in: path
          required: true
          schema:
            type: string
            title: Sequence Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OutreachSequenceUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutreachSequenceDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OutreachSequenceUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cooldownDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cooldowndays
        isMarketing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ismarketing
        steps:
          anyOf:
            - items:
                $ref: '#/components/schemas/OutreachStepCreate'
              type: array
            - type: 'null'
          title: Steps
        rrule:
          anyOf:
            - type: string
            - type: 'null'
          title: Rrule
        recurrenceStartDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrencestartdate
        recurrenceEndDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrenceenddate
      type: object
      title: OutreachSequenceUpdate
    OutreachSequenceDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          anyOf:
            - $ref: '#/components/schemas/OutreachSequenceStatus'
            - type: 'null'
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cohortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortname
        cooldownDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cooldowndays
        isMarketing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ismarketing
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        steps:
          items:
            $ref: '#/components/schemas/OutreachStepDetail'
          type: array
          title: Steps
        enrollmentStats:
          anyOf:
            - $ref: '#/components/schemas/EnrollmentStats'
            - type: 'null'
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        rrule:
          anyOf:
            - type: string
            - type: 'null'
          title: Rrule
        recurrenceStartDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrencestartdate
        recurrenceEndDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrenceenddate
        recurrenceTimezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Recurrencetimezone
        lastOccurrenceFiredAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastoccurrencefiredat
        nextSendAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Nextsendat
        cooldownWarning:
          anyOf:
            - type: string
            - type: 'null'
          title: Cooldownwarning
      type: object
      required:
        - id
        - name
        - description
        - status
        - cohortId
        - cooldownDays
        - isMarketing
        - createdById
        - steps
        - createdDate
      title: OutreachSequenceDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutreachStepCreate:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        effectType:
          $ref: '#/components/schemas/EffectType'
        delayMinutes:
          type: integer
          title: Delayminutes
          default: 0
        effectConfig:
          anyOf:
            - $ref: '#/components/schemas/SmsEffectConfig'
            - $ref: '#/components/schemas/EmailEffectConfig'
          title: Effectconfig
        displayOrder:
          type: integer
          title: Displayorder
          default: 0
        isActive:
          type: boolean
          title: Isactive
          default: true
      type: object
      required:
        - effectType
        - effectConfig
      title: OutreachStepCreate
    OutreachSequenceStatus:
      type: string
      enum:
        - DRAFT
        - ACTIVE
        - PAUSED
      title: OutreachSequenceStatus
    OutreachStepDetail:
      properties:
        id:
          type: string
          title: Id
        delayMinutes:
          type: integer
          title: Delayminutes
        effectType:
          $ref: '#/components/schemas/EffectType'
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        displayOrder:
          type: integer
          title: Displayorder
        isActive:
          type: boolean
          title: Isactive
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        skippedCount:
          type: integer
          title: Skippedcount
          default: 0
        openCount:
          type: integer
          title: Opencount
          default: 0
        uniqueOpenCount:
          type: integer
          title: Uniqueopencount
          default: 0
        clickCount:
          type: integer
          title: Clickcount
          default: 0
        uniqueClickCount:
          type: integer
          title: Uniqueclickcount
          default: 0
        replyCount:
          type: integer
          title: Replycount
          default: 0
      type: object
      required:
        - id
        - delayMinutes
        - effectType
        - config
        - displayOrder
        - isActive
        - createdDate
      title: OutreachStepDetail
    EnrollmentStats:
      properties:
        active:
          type: integer
          title: Active
          default: 0
        completed:
          type: integer
          title: Completed
          default: 0
        exited:
          type: integer
          title: Exited
          default: 0
        total:
          type: integer
          title: Total
          default: 0
      type: object
      title: EnrollmentStats
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EffectType:
      type: string
      enum:
        - SEND_SMS
        - SEND_EMAIL
        - CHANGE_STATUS
        - CREATE_TASK
      title: EffectType
    SmsEffectConfig:
      properties:
        template:
          type: string
          title: Template
          default: ''
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentRef'
          type: array
          maxItems: 3
          title: Attachments
      type: object
      title: SmsEffectConfig
    EmailEffectConfig:
      properties:
        template:
          type: string
          minLength: 1
          title: Template
        subject:
          type: string
          minLength: 1
          title: Subject
        templateJson:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Templatejson
        attachments:
          items:
            $ref: '#/components/schemas/AttachmentRef'
          type: array
          title: Attachments
      type: object
      required:
        - template
        - subject
      title: EmailEffectConfig
    AttachmentRef:
      properties:
        gcsPath:
          type: string
          title: Gcspath
        filename:
          type: string
          title: Filename
      type: object
      required:
        - gcsPath
        - filename
      title: AttachmentRef

````